VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::ExtraConfigParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::ExtraConfigParams:

## Avaliable Methods
public method | set_type ()
public method | get_extra_configs ()
public method | get_exclude_keys ()
public method | set_exclude_keys ()
public method | set_extra_configs ()
public method | set_include_keys ()
public method | new ()
public method | get_type ()
public method | get_include_keys ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::ExtraConfigParams` class contains the parameters with information about the vmw:ExtraConfig elements in an OVF package.

vmw:ExtraConfig elements can be used to specify configuration settings that are transferred directly to the `.vmx` file.

The behavior of the vmw:ExtraConfig element is similar to the `extraConfig` property of the `VirtualMachineConfigSpec` object in the VMware vSphere API. Thus, the same restrictions apply, such as you cannot set values that could otherwise be set with other properties in the `VirtualMachineConfigSpec` object. See the VMware vSphere API reference for details on this.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::get_exclude_keys | ( |  | ) |

Gets the value of 'exclude_keys' property.

Return values

  exclude_keys | - The current value of the field. Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.

If set, the given keys for extra configurations will be ignored during deployment. The key is defined in the :attr:`Com::Vmware::Vcenter::Ovf::ExtraConfig.key` field .

optional#

Code:
click to view
# Number of lines of code in get_exclude_keys: 4
sub get_exclude_keys {
my ($self, %args) = @_;
return $self->{'exclude_keys'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::get_extra_configs | ( |  | ) |

Gets the value of 'extra_configs' property.

Return values

  extra_configs | - The current value of the field. List* of vmw:ExtraConfig elements in the OVF package. optional#

Code:
click to view
# Number of lines of code in get_extra_configs: 4
sub get_extra_configs {
my ($self, %args) = @_;
return $self->{'extra_configs'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::get_include_keys | ( |  | ) |

Gets the value of 'include_keys' property.

Return values

  include_keys | - The current value of the field. Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.

If set, all but the given keys for extra configurations will be ignored during deployment. The key is defined in the :attr:`Com::Vmware::Vcenter::Ovf::ExtraConfig.key` field .

optional#

Code:
click to view
# Number of lines of code in get_include_keys: 4
sub get_include_keys {
my ($self, %args) = @_;
return $self->{'include_keys'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::ExtraConfigParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 22
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{extra_configs} = $args{'extra_configs'};
$self->{exclude_keys} = $args{'exclude_keys'};
$self->{include_keys} = $args{'include_keys'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::ExtraConfigParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.extra_config_params');
$self->set_binding_field('key' => 'extra_configs', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Ovf', 'type_name' => 'ExtraConfig'))));
$self->set_binding_field('key' => 'exclude_keys', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'include_keys', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType())));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::set_exclude_keys | ( |  | ) |

Sets the given value for 'exclude_keys' property.

Parameters

  exclude_keys | - New value for the field. Specifies which extra configuration items in the list in the `extraConfigs` `field` should be ignored during deployment.

If set, the given keys for extra configurations will be ignored during deployment. The key is defined in the :attr:`Com::Vmware::Vcenter::Ovf::ExtraConfig.key` field .

Code:
click to view
# Number of lines of code in set_exclude_keys: 5
sub set_exclude_keys {
my ($self, %args) = @_;
$self->{'exclude_keys'} = $args{'exclude_keys'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::set_extra_configs | ( |  | ) |

Sets the given value for 'extra_configs' property.

Parameters

  extra_configs | - New value for the field. List* of vmw:ExtraConfig elements in the OVF package.

Code:
click to view
# Number of lines of code in set_extra_configs: 5
sub set_extra_configs {
my ($self, %args) = @_;
$self->{'extra_configs'} = $args{'extra_configs'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::set_include_keys | ( |  | ) |

Sets the given value for 'include_keys' property.

Parameters

  include_keys | - New value for the field. Specifies which extra configuration items in the list in the `extraConfigs` `field` should be included during deployment.

If set, all but the given keys for extra configurations will be ignored during deployment. The key is defined in the :attr:`Com::Vmware::Vcenter::Ovf::ExtraConfig.key` field .

Code:
click to view
# Number of lines of code in set_include_keys: 5
sub set_include_keys {
my ($self, %args) = @_;
$self->{'include_keys'} = $args{'include_keys'};
return;
}

public method Com::Vmware::Vcenter::Ovf::ExtraConfigParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/ExtraConfigParams.pm